Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.cfg
Class GrailsPlaceholderConfigurer

    java.lang.Object
      org.springframework.core.io.support.PropertiesLoaderSupport
          org.springframework.beans.factory.config.PropertyResourceConfigurer
              org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
                  org.codehaus.groovy.grails.commons.cfg.GrailsPlaceholderConfigurer

All Implemented Interfaces:
  BeanFactoryAware, BeanNameAware, BeanFactoryPostProcessor, Ordered, PriorityOrdered

    public class GrailsPlaceholderConfigurer

extends PropertyPlaceholderConfigurer

A PropertyPlaceholderConfigurer implementation that uses Grails' ConfigObject for place holder values

Since:
  1.0

  Created: Oct 10, 2007
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
`DEFAULT_PLACEHOLDER_PREFIX, DEFAULT_PLACEHOLDER_SUFFIX, DEFAULT_VALUE_SEPARATOR, SYSTEM_PROPERTIES_MODE_FALLBACK, SYSTEM_PROPERTIES_MODE_NEVER, SYSTEM_PROPERTIES_MODE_OVERRIDE`

Fields inherited from class org.springframework.core.io.support.PropertiesLoaderSupport
`logger, XML_FILE_EXTENSION`

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`GrailsPlaceholderConfigurer()`

Method Summary
`protected void` | `loadProperties(Properties props)`

Methods inherited from class org.springframework.beans.factory.config.PropertyPlaceholderConfigurer
`parseStringValue, processProperties, resolvePlaceholder, resolvePlaceholder, resolveSystemProperty, setBeanFactory, setBeanName, setIgnoreUnresolvablePlaceholders, setNullValue, setPlaceholderPrefix, setPlaceholderSuffix, setSearchSystemEnvironment, setSystemPropertiesMode, setSystemPropertiesModeName`

Methods inherited from class org.springframework.beans.factory.config.PropertyResourceConfigurer
`convertProperties, convertPropertyValue, getOrder, postProcessBeanFactory, setOrder`

Methods inherited from class org.springframework.core.io.support.PropertiesLoaderSupport
`mergeProperties, setFileEncoding, setIgnoreResourceNotFound, setLocalOverride, setLocation, setLocations, setProperties, setPropertiesArray, setPropertiesPersister`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsPlaceholderConfigurer

    public GrailsPlaceholderConfigurer()

Method Detail

### loadProperties

    protected void loadProperties(Properties props)
                           throws IOException

  Overrides:
    `loadProperties` in class `PropertiesLoaderSupport`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project